package com.izouma.nineth.web;

import com.izouma.nineth.config.Constants;
import com.izouma.nineth.exception.BusinessException;
import com.izouma.nineth.service.sms.SmsService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.regex.Pattern;

@RestController
@RequestMapping("/sms")
@AllArgsConstructor
public class SmsController {
    private SmsService smsService;

    @GetMapping("/sendVerify")
    public String sendVerify(@RequestParam String phone) {
        if (!Pattern.matches(Constants.Regex.PHONE, phone)) {
            throw new BusinessException("请输入正确的手机号");
        }
        return smsService.sendVerify(phone);
    }

    @GetMapping("/verify")
    public void verify(@RequestParam String phone, @RequestParam String code) throws SmsService.SmsVerifyException {
        smsService.verify(phone, code);
    }
}
